/* abstract base for game control */

#ifndef CONTROL_H
#define CONTROL_H

#include "btypes.h"
#include "action.h"

class 
Control
{
private:
	void copy(const Control &c);
protected:
	bool last[FIRE4+1];
public:
	Control();
	Control(const Control& c);
	Control& operator=(const Control& c);

	virtual void fetch(void)=0;
	virtual void calibrate(void)=0;
	bool test(action a);
};

#endif
